Package com.ngrok.definitions

# Class Ref

java.lang.Object
com.ngrok.definitions.Ref

public class Ref extends Object
A class encapsulating the `Ref` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Ref(String id, URI uri)`
  Creates a new instance of `Ref`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getId()`
  a resource identifier
  `URI`
  `getUri()`
  a uri for locating a resource
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Ref

    public Ref(String id, URI uri)
    Creates a new instance of `Ref`.
    Parameters:
      `id` - a resource identifier
      `uri` - a uri for locating a resource

- ## Method Details

  - ### getId

    public String getId()
    a resource identifier
    Returns:
      the value of the property as a `String`

  - ### getUri

    public URI getUri()
    a uri for locating a resource
    Returns:
      the value of the property as a `URI`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`